| Home | Libraries | People | FAQ | More

###### array::rbegin (1 of 2 overloads)

Return a reverse iterator to the first element of the reversed container.

###### Synopsis

    reverse_iterator
    rbegin();

###### Description

The pointed-to element corresponds to the last element of the non-reversed container. If the container is empty, `rend()` is returned.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.